lxdream.org :: Issues
lxdream 0.9.1
released Jun 29
Download Now

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000034lxdreamHostpublic2007-10-09 23:292008-02-03 18:32
Reporternkeynes 
Assigned Tonkeynes 
PrioritylowSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionM3 
Target VersionFixed in Version0.8 
Summary0000034: Save state upgrades
Description1. Include screenshot in save state, for preview at load time
2. Compress bulk data (esp memory) with zlib.
TagsNo tags attached.
Milestone
Attached Files

- Relationships

-  Notes
(0000036)
nkeynes (administrator)
2007-10-16 16:53

Note we probably need to save any active render buffer contents as well, or flush to ram before save. Saving the buffers would be better quality-wise though.
(0000040)
nkeynes (administrator)
2007-10-31 05:26

Done on the basis that doing it later would break the save states incompatibly. Plus it looks really nifty.

- Issue History
Date Modified Username Field Change
2007-10-09 23:29 nkeynes New Issue
2007-10-16 16:53 nkeynes Note Added: 0000036
2007-10-31 05:26 nkeynes Status new => resolved
2007-10-31 05:26 nkeynes Fixed in Version => 0.8
2007-10-31 05:26 nkeynes Resolution open => fixed
2007-10-31 05:26 nkeynes Assigned To => nkeynes
2007-10-31 05:26 nkeynes Note Added: 0000040
2008-02-03 18:32 nkeynes Status resolved => closed
.